cubrid_fetch
cubrid_get_autocommit
CUBRID Functions
PHP Manual

# cubrid_free_result

(PECL CUBRID >= 8.3.0)

cubrid_free_result — Free the memory occupied by the result data

### Description

bool cubrid_free_result ( resource `$req_identifier` )

This function frees the memory occupied by the result data. It returns TRUE on success or FALSE on failure. Note that it can only frees the client fetch buffer now, and if you want free all memory, use function cubrid_close_request().

### Parameters

`req_identifier`

  This is the request identifier.

### Return Values

`TRUE` on success.

`FALSE` on failure.

### Examples

Example #1 cubrid_free_result() example

`<?php
$conn = cubrid_connect("localhost", 33000, "demodb");
$req = cubrid_execute($conn, "SELECT * FROM history WHERE host_year=2004 ORDER BY event_code");
$row = cubrid_fetch_assoc($req);
var_dump($row);
cubrid_free_result($req);
cubrid_close_request($req);
cubrid_disconnect($conn);
?>`

The above example will output:

    array(5) {
      ["event_code"]=>
      string(5) "20005"
      ["athlete"]=>
      string(12) "Hayes Joanna"
      ["host_year"]=>
      string(4) "2004"
      ["score"]=>
      string(5) "12.37"
      ["unit"]=>
      string(4) "time"
    }

cubrid_fetch
cubrid_get_autocommit
CUBRID Functions
PHP Manual